## acl 2.2.45

=== Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs include/config.h
LSRCFILES = configure configure.in aclocal.m4 Makepkgs install-sh exports \
	README VERSION

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* install-lib.* *.gz

SUBDIRS = include libmisc libacl getfacl setfacl chacl m4 man doc po \
	  test examples build debian

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure \
		--prefix=/ \
		--exec-prefix=/ \
		--sbindir=/bin \
		--bindir=/usr/bin \
		--libdir=/lib \
		--libexecdir=/usr/lib \
		--enable-lib64=yes \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--datadir=/usr/share \
		$$LOCAL_CONFIGURE_OPTIONS
	touch .census

aclocal.m4::
	aclocal --acdir=`pwd`/m4 --output=$@

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default
	$(SUBDIRS_MAKERULE)

install-lib: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	rm -rf autom4te.cache Logs

=== doc/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = extensions.txt libacl.txt TODO PORTING CHANGES COPYING INSTALL \
	    old-acl.5
LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

install-dev install-lib:

=== po/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

POTHEAD = $(PKG_NAME).pot
LINGUAS = de es fr gl pl sv
LSRCFILES = $(LINGUAS:%=%.po) $(POTHEAD)
LDIRT = $(POTHEAD)

XGETTEXTFILES =	$(TOPDIR)/chacl/chacl.c \
		$(TOPDIR)/setfacl/do_set.c \
		$(TOPDIR)/setfacl/setfacl.c \
		$(TOPDIR)/getfacl/getfacl.c \
		$(TOPDIR)/libacl/acl_error.c \
		$(TOPDIR)/libacl/perm_copy_fd.c \
		$(TOPDIR)/libacl/perm_copy_file.c

default: $(POTHEAD) $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

## acl 2.2.47-1

=== build/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

MANIFEST=src-manifest
SRCTAR=$(PKG_NAME)-$(PKG_VERSION).src.tar.gz

LDIRT = *-manifest *.gz $(TOPDIR)/$(PKG_NAME)-*

# for clean and clobber
SUBDIRS = tar rpm

# nothing to build here (it's all packaging)
default install install-dev install-lib:

include $(BUILDRULES)

# Symlink in the TOPDIR is used to pack files relative to
# product-version directory.
$(MANIFEST) : $(_FORCE)
	@if [ ! -L $(TOPDIR)/$(PKG_NAME)-$(PKG_VERSION) ] ; then \
	    $(LN_S) . $(TOPDIR)/$(PKG_NAME)-$(PKG_VERSION) ; \
	fi
	@CDIR=`pwd`; cd $(TOPDIR); \
	$(MAKE) --no-print-directory source | \
	    sed -e 's/^\./$(PKG_NAME)-$(PKG_VERSION)/' > $$CDIR/$@ ;\
	if [ $$? -ne 0 ] ; then  \
	    exit 1; \
	else \
	    unset TAPE; \
	    $(TAR) -T $$CDIR/$@ -cf - | $(ZIP) --best > $$CDIR/$(SRCTAR); \
	    echo Wrote: $$CDIR/$(SRCTAR); \
	fi

dist : default $(MANIFEST)
	@DIST_MANIFEST=`pwd`/bin-manifest; DIST_ROOT=/tmp/$$$$; \
	export DIST_MANIFEST DIST_ROOT; \
	rm -f $$DIST_MANIFEST; \
	echo === install === && $(MAKE) -C $(TOPDIR) install || exit $$?; \
	if [ -x $(TAR) ]; then \
	    ( echo "=== tar ===" && $(MAKEF) -C tar $@ || exit $$? ); \
	fi; \
	if [ -x $(RPMBUILD) ]; then \
	    ( echo "=== rpm ===" && $(MAKEF) -C rpm $@ || exit $$? ); \
	fi; \
	test -z "$$KEEP_DIST_ROOT" || rm -rf $$DIST_ROOT; echo Done

=== getfacl/Makefile ===
#
# Copyright (c) 2000, 2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = getfacl
CFILES = getfacl.c user_group.c
HFILES = user_group.h

LLDLIBS = $(LIBMISC) $(LIBACL) $(LIBATTR)
LTDEPENDENCIES = $(LIBMISC) $(LIBACL)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== include/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

HFILES = acl.h libacl.h acl_ea.h misc.h walk_tree.h
LSRCFILES = builddefs.in buildmacros buildrules config.h.in
LDIRT = sys acl

default:
	rm -f sys acl
	$(LN_S) . sys
	$(LN_S) . acl

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)/sys
	$(INSTALL) -m 644 acl.h $(PKG_INC_DIR)/sys/acl.h
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)/acl
	$(INSTALL) -m 644 libacl.h $(PKG_INC_DIR)/acl/libacl.h
install install-lib:

=== libacl/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..

LTLDFLAGS += -Wl,--version-script,$(TOPDIR)/exports
include $(TOPDIR)/include/builddefs

LTLIBRARY = libacl.la
LTLIBS = -lattr $(LIBMISC)
LTDEPENDENCIES = $(LIBMISC)
LT_CURRENT = 2
LT_REVISION = 0
LT_AGE = 1

CFILES = $(POSIX_CFILES) $(LIBACL_CFILES) $(INTERNAL_CFILES) \
	 perm_copy_fd.c perm_copy_file.c
HFILES = libobj.h libacl.h byteorder.h __acl_from_xattr.h __acl_to_xattr.h \
	 perm_copy.h

LCFLAGS = -include perm_copy.h

POSIX_CFILES = \
	acl_add_perm.c acl_calc_mask.c acl_clear_perms.c acl_copy_entry.c \
	acl_copy_ext.c acl_copy_int.c acl_create_entry.c acl_delete_def_file.c \
	acl_delete_entry.c acl_delete_perm.c acl_dup.c acl_free.c \
	acl_from_text.c acl_get_entry.c acl_get_fd.c acl_get_file.c \
	acl_get_perm.c acl_get_permset.c acl_get_qualifier.c \
	acl_get_tag_type.c acl_init.c acl_set_fd.c acl_set_file.c \
	acl_set_permset.c acl_set_qualifier.c acl_set_tag_type.c acl_to_text.c \
	acl_valid.c acl_size.c

LIBACL_CFILES = \
	acl_to_any_text.c acl_entries.c acl_check.c acl_error.c acl_cmp.c \
	acl_extended_fd.c acl_extended_file.c acl_equiv_mode.c acl_from_mode.c

INTERNAL_CFILES = \
	__acl_to_any_text.c __acl_to_xattr.c __acl_from_xattr.c \
	__acl_reorder_obj_p.c __libobj.c __apply_mask_to_mode.c


default: $(LTLIBRARY)

include $(BUILDRULES)

install:

install-dev: default
	$(INSTALL_LTLIB_DEV)

install-lib: default
	$(INSTALL_LTLIB)

=== libmisc/Makefile ===
#
# Copyright (c) 2000, 2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libmisc.la
LTLDFLAGS =

CFILES = quote.c unquote.c high_water_alloc.c next_line.c walk_tree.c

default: $(LTLIBRARY)
install install-dev install-lib:

include $(BUILDRULES)

=== man/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

SUBDIRS = man1 man3 man5

default install install-dev install-lib: $(SUBDIRS)
	$(SUBDIRS_MAKERULE)

include $(BUILDRULES)

=== setfacl/Makefile ===
#
# Copyright (c) 2000, 2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = setfacl
CFILES = setfacl.c do_set.c sequence.c parse.c
HFILES = sequence.h parse.h

LLDLIBS = $(LIBMISC) $(LIBACL) $(LIBATTR)
LTDEPENDENCIES = $(LIBMISC) $(LIBACL)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== test/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = run make-tree \
	    cp.test getfacl-noacl.test misc.test nfs-dir.test \
	    nfsacl.test permissions.test setfacl.test

include $(BUILDRULES)

default install install-dev install-lib:

=== man/man5/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 5

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default : $(MAN_PAGES)

include $(BUILDRULES)

install : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install-dev install-lib:

=== debian/control ===
Source: acl
Section: utils
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: autoconf, debhelper (>= 5), gettext, libtool, libattr1-dev (>= 2.4.4)
Standards-Version: 3.5.9

Package: acl
Depends: ${shlibs:Depends}
Architecture: any
Description: Access control list utilities
 This package contains the getfacl and setfacl utilities needed for
 manipulating access control lists.

Package: libacl1-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libacl1 (>= 2.0.0), libattr1-dev (>= 2.4.4)
Provides: acl-dev
Replaces: acl-dev
Conflicts: acl-dev, acl (<< 2.0.0), kerberos4kth-dev (<< 1.2.2-4)
Architecture: any
Description: Access control list static libraries and headers
 This package contains the static libraries and header files needed
 for developing programs which make use of the access control list
 programming interface defined in POSIX 1003.1e draft standard 17.

Package: libacl1
Depends: ${shlibs:Depends}
Section: libs
Priority: required
Conflicts: acl (<< 2.0.0), libacl1-kerberos4kth
Architecture: any
Description: Access control list shared library
 This package contains the libacl.so dynamic library containing
 the POSIX 1003.1e draft standard 17 functions for manipulating
 access control lists.

=== debian/rules ===
#!/usr/bin/make -f

package = acl
develop = lib$(package)1-dev
library = lib$(package)1

dirme  = debian/$(package)
dirdev = debian/$(develop)
dirlib = debian/$(library)
pkgme  = DIST_ROOT=`pwd`/$(dirme);  export DIST_ROOT;
pkgdev = DIST_ROOT=`pwd`/$(dirdev); export DIST_ROOT;
pkglib = DIST_ROOT=`pwd`/$(dirlib); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
	  INSTALL_USER=root INSTALL_GROUP=root ;
checkdir = test -f debian/rules
checkver = rm -f debian/compat && echo 5 > debian/compat

build: built
built: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	$(options) $(MAKE) configure
	touch .census

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census
	$(MAKE) distclean
	-rm -rf $(dirme) $(dirdev) $(dirlib)
	-rm -f debian/*substvars debian/files* debian/*.debhelper debian/compat

binary-indep:

binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	$(checkver)
	-rm -rf $(dirme) $(dirdev) $(dirlib)
	$(pkgme)  $(MAKE) -C . install
	$(pkgdev) $(MAKE) -C . install-dev
	$(pkglib) $(MAKE) -C . install-lib
	$(pkgme)  $(MAKE) -C build src-manifest

	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -N $(library)
	dh_makeshlibs -p $(library) -V 'libacl1 (>= 2.2.11-1)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol

	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot

## acl 2.2.47-2

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,6 @@
 		--bindir=/usr/bin \
 		--libdir=/lib \
 		--libexecdir=/usr/lib \
-		--enable-lib64=yes \
 		--includedir=/usr/include \
 		--mandir=/usr/share/man \
 		--datadir=/usr/share \

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Nathan Scott <nathans@debian.org>
+Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: autoconf, debhelper (>= 5), gettext, libtool, libattr1-dev (>= 2.4.4)
-Standards-Version: 3.5.9
+Standards-Version: 3.7.3
+Homepage: http://oss.sgi.com/projects/xfs/
 
 Package: acl
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
 Description: Access control list utilities
  This package contains the getfacl and setfacl utilities needed for
@@ -15,7 +17,7 @@
 Package: libacl1-dev
 Section: libdevel
 Priority: extra
-Depends: libc6-dev | libc-dev, libacl1 (>= 2.0.0), libattr1-dev (>= 2.4.4)
+Depends: libc6-dev | libc-dev, libacl1 (= ${binary:Version}), libattr1-dev (>= 2.4.4)
 Provides: acl-dev
 Replaces: acl-dev
 Conflicts: acl-dev, acl (<< 2.0.0), kerberos4kth-dev (<< 1.2.2-4)
@@ -26,7 +28,7 @@
  programming interface defined in POSIX 1003.1e draft standard 17.
 
 Package: libacl1
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: libs
 Priority: required
 Conflicts: acl (<< 2.0.0), libacl1-kerberos4kth

## acl 2.2.49

=== libacl/Makefile ===
--- 
+++ 
@@ -1,5 +1,19 @@
 #
 # Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 #
 
 TOPDIR = ..

=== build/rpm/Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

TOPDIR = ../..
TREEROOT = $(shell cd ${TOPDIR}; pwd)
include $(TOPDIR)/include/builddefs

SPECF = $(PKG_NAME).spec
LDIRT = *.rpm $(SPECF) rpmmacros rpmfiles* rpm-*.rc

LSRCFILES = macros.template $(SPECF).in rpm-2.rc.template

default install install-dev install-lib:

include $(BUILDRULES)

# Generate a binary rpm file
dist : default $(SPECF) rpm-$(RPM_VERSION).rc
	$(RPMBUILD) -ba --rcfile ./rpm-$(RPM_VERSION).rc $(SPECF)

# Because rpm prior to v.2.90 does not support macros and old style config
# is not supported by rpm v.3, we have to resort to such ugly hacks
ifneq ($(RPM_VERSION),2)
rpm-$(RPM_VERSION).rc : rpmmacros
	@$(SED) -e '/^macrofiles:/s|~/.rpmmacros|rpmmacros|' </usr/lib/rpm/rpmrc >$@

rpmmacros : macros.template
	@$(SED) -e 's|%topdir%|$(TREEROOT)|g' < $< > $@
else
rpm-2.rc: rpm-2.rc.template
	@$(SED) -e 's|%topdir%|$(TOPDIR)|g' < $< > $@
endif

# Generate the rpm specfile format file list from the install-sh manifest
rpmfiles rpmfiles-dev rpmfiles-lib:
	$(SORT) -u $$DIST_MANIFEST | $(AWK) > $@ '\
$$1 == "d" { printf ("%%%%dir %%%%attr(%s,%s,%s) %s\n", $$2, $$3, $$4, $$5); } \
$$1 == "f" { if (match ($$6, "$(PKG_MAN_DIR)") || \
                match ($$6, "$(PKG_DOC_DIR)")) \
                printf ("%%%%doc "); \
            if (match ($$6, "$(PKG_MAN_DIR)")) \
                printf ("%%%%attr(%s,%s,%s) %s*\n", $$2, $$3, $$4, $$6); \
            else \
                printf ("%%%%attr(%s,%s,%s) %s\n", $$2, $$3, $$4, $$6); } \
$$1 == "l" { if (match ($$3, "$(PKG_MAN_DIR)") || \
                match ($$3, "$(PKG_DOC_DIR)")) \
                printf ("%%%%doc "); \
            if (match ($$3, "$(PKG_MAN_DIR)")) \
                printf ("%%%%attr(0777,root,root) %s*\n", $$3); \
            else \
                printf ("%%%%attr(0777,root,root) %s\n", $$3); }'

.PHONY: $(SPECF)
${SPECF} : ${SPECF}.in
	$(SED) -e's|@pkg_name@|$(PKG_NAME)|g' \
	    -e's|@pkg_version@|$(PKG_VERSION)|g' \
	    -e's|@pkg_release@|$(PKG_RELEASE)|g' \
	    -e's|@pkg_distribution@|$(PKG_DISTRIBUTION)|g' \
	    -e's|@build_root@|$(DIST_ROOT)|g' \
	    -e'/^BuildRoot: *$$/d' \
	    -e's|@make@|$(MAKE)|g' < $< > $@

=== debian/changelog ===
acl (2.2.49-4ubuntu2) natty; urgency=low

  * debian/rules: remove references to other libraries from the
    dependency_libs field in libacl.la, per policy 10.2.
  * FFe LP: #733501
  * Build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2011 19:55:19 +0000

acl (2.2.49-4ubuntu1) natty; urgency=low

  * Pass host & build to allow cross builds to succeed

 -- Peter Pearse <peter.pearse@linaro.org>  Fri, 28 Jan 2011 17:11:25 +0000

acl (2.2.49-4) unstable; urgency=low

  * Migrate to having binaries in sbindir (closes: #590240)

 -- Nathan Scott <nathans@debian.org>  Wed, 28 Jul 2010 22:15:20 +1000

acl (2.2.49-3) unstable; urgency=low

  * Add upstream patches 
    03-re-stat_file_after_chown.patch
    04-print_useful_error_from_read_acl_comments.patch
    05-restore_crash_on_malformed_input.patch
    06-fix_potential_null_pointer_dereference.patch
    09-prevent_setfacl_--restore_from_SIGSEGV.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 Jun 2010 17:44:21 +1000

acl (2.2.49-2) unstable; urgency=low

  * Debian source format is 3.0 (quilt)
    Add 01-Makefile.patch
  * Fix CVE-2009-4411
    Refer to https://savannah.nongnu.org/bugs/?28131
    Add 02-499076-physical-walk.patch
    Patch by Markus Steinborn
    Closes: 499076
  * Fix debhelper-but-no-misc-depends
  * Fix out-of-date-standards-version
  * Fix no-upstream-changelog

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 02 Feb 2010 11:40:55 +1100

acl (2.2.49-1) unstable; urgency=low

  * New upstream release 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Nov 2009 21:39:57 +1100

acl (2.2.48-1) unstable; urgency=low

  * New upstream release 
  * Fix out-of-date-standards-version
  * Update homepage in debian/control
  * Add Vcs-Git and Vcs-Browser to debian/control
  * Update download page in debian/copyright
  * Update debian/watch
  * Add automake as a build-dependency

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 25 Aug 2009 10:29:59 +1000

acl (2.2.47-3) unstable; urgency=low

  * DH compatibility level is 7
  * Fix out-of-date-standards-version
  * Fix incorrect-libdir-in-la-file 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 03 Jul 2009 20:44:21 +1000

acl (2.2.47-2) unstable; urgency=low

  * Acknowledge NMU. Closes: #477515

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 24 Apr 2008 06:47:12 +1000

acl (2.2.47-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't call configure with --enable-lib64=yes.  (Closes: #477515)
    This fixes the lib64 rpaths, so no need to call chrpath anymore.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 23 Apr 2008 18:58:41 +0200

acl (2.2.47-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch
  * Remove empty directories. Closes: #445902, #222534
  * Fix the following lintian issues:
    W: acl source: package-uses-deprecated-debhelper-compat-version 1
    W: acl source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    W: libacl1-dev: package-contains-empty-directory usr/share/doc/acl/
    W: libacl1-dev: description-contains-homepage
    W: libacl1: package-contains-empty-directory usr/share/doc/acl/
    W: libacl1: description-contains-homepage
    W: acl: description-contains-homepage
    W: acl: binary-or-shlib-defines-rpath ./usr/bin/chacl /lib64
    W: acl: binary-or-shlib-defines-rpath ./usr/bin/getfacl /lib64
    W: acl: binary-or-shlib-defines-rpath ./usr/bin/setfacl /lib64

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Apr 2008 21:48:29 +1000

acl (2.2.45-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Added homepage
    - Added myself as comaintainer
    - Set Standards-Version to 3.7.2
    - libacl1-dev depends on libacl1 (= ${binary:Version})
    - acl and libacl1 depend on ${misc:Depends}
  * debian/rules: Regenerate acl.pot
  * debian/watch: Added

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 15 Sep 2007 14:28:33 +1000

=== debian/control ===
Source: acl
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: autoconf, automake, debhelper (>= 8.1.2ubuntu2), gettext, libtool, libattr1-dev (>= 2.4.4)
Standards-Version: 3.8.4
Homepage: http://savannah.nongnu.org/projects/acl/
Vcs-Git: git://git.savannah.nongnu.org/acl.git
Vcs-Browser: http://git.savannah.gnu.org/cgit/acl.git

Package: acl
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Multi-Arch: foreign
Description: Access control list utilities
 This package contains the getfacl and setfacl utilities needed for
 manipulating access control lists.

Package: libacl1-dev
Section: libdevel
Priority: extra
Depends: ${misc:Depends}, libc6-dev | libc-dev, libacl1 (= ${binary:Version}), libattr1-dev (>= 2.4.4)
Provides: acl-dev
Replaces: acl-dev
Conflicts: acl-dev, acl (<< 2.0.0), kerberos4kth-dev (<< 1.2.2-4)
Architecture: any
Description: Access control list static libraries and headers
 This package contains the static libraries and header files needed
 for developing programs which make use of the access control list
 programming interface defined in POSIX 1003.1e draft standard 17.

Package: libacl1
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Priority: required
Conflicts: acl (<< 2.0.0), libacl1-kerberos4kth
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Access control list shared library
 This package contains the libacl.so dynamic library containing
 the POSIX 1003.1e draft standard 17 functions for manipulating
 access control lists.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 package = acl
 develop = lib$(package)1-dev
@@ -15,19 +17,31 @@
 options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
 	  INSTALL_USER=root INSTALL_GROUP=root ;
 checkdir = test -f debian/rules
-checkver = rm -f debian/compat && echo 5 > debian/compat
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+LOCAL_CONFIGURE_OPTIONS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
+# Ensure cross builds succeed
+DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+  LOCAL_CONFIGURE_OPTIONS += --build $(DEB_HOST_GNU_TYPE)
+else
+  LOCAL_CONFIGURE_OPTIONS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+endif
 
 build: built
 built: config
 	@echo "== dpkg-buildpackage: build" 1>&2
 	$(MAKE) default
+	cd po; rm -rf acl.pot; make acl.pot
 	touch built
 
 config: .census
 .census:
 	@echo "== dpkg-buildpackage: configure" 1>&2
 	$(checkdir)
-	$(options) $(MAKE) configure
+	$(options) $(MAKE) configure LOCAL_CONFIGURE_OPTIONS="$(LOCAL_CONFIGURE_OPTIONS)"
 	touch .census
 
 clean:
@@ -36,21 +50,24 @@
 	-rm -f built .census
 	$(MAKE) distclean
 	-rm -rf $(dirme) $(dirdev) $(dirlib)
-	-rm -f debian/*substvars debian/files* debian/*.debhelper debian/compat
+	-rm -f debian/*substvars debian/files* debian/*.debhelper changelog
 
 binary-indep:
 
 binary-arch: checkroot built
 	@echo "== dpkg-buildpackage: binary-arch" 1>&2
 	$(checkdir)
-	$(checkver)
 	-rm -rf $(dirme) $(dirdev) $(dirlib)
 	$(pkgme)  $(MAKE) -C . install
 	$(pkgdev) $(MAKE) -C . install-dev
 	$(pkglib) $(MAKE) -C . install-lib
 	$(pkgme)  $(MAKE) -C build src-manifest
-
-	dh_installdocs
+	sed -i -e"s,^libdir='/lib',libdir='/usr/lib',; \
+		/dependency_libs/ s/'.*'/''/" $(dirdev)/usr/lib/libacl.la
+	rmdir debian/libacl1-dev/usr/share/doc/acl
+	rmdir debian/libacl1/usr/share/doc/acl
+	cp -p doc/CHANGES changelog
+	dh_installdocs -A changelog
 	dh_installchangelogs
 	dh_strip
 	dh_compress
@@ -60,7 +77,6 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-
 	dh_md5sums
 	dh_builddeb

## acl 2.2.51

=== debian/changelog ===
acl (2.2.51-5ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 17 Dec 2011 19:04:30 -0800

acl (2.2.51-5) unstable; urgency=low

  * Build if autconf2.13 is installed
    Add 12-643588-acl-autoconf-version-check.patch
    Patch by Wookey
    Closes: 643588
  * Add Debian epoch version to libattr1-dev dependency

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Dec 2011 22:20:25 +1100

acl (2.2.51-4ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Nov 2011 21:30:21 -0800

acl (2.2.51-4) unstable; urgency=low

  * Fix FTBFS on hurd-i386
    Add 11-636512-fix-ftbfs4hurd.patch
    Patch by Svante Signell
    Closes: 636512

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 04 Nov 2011 12:00:03 +1100

acl (2.2.51-3ubuntu1) precise; urgency=low

  * Build-depend on gettext:any, since we only need it to run tools at
    build-time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Nov 2011 17:34:39 +0000

acl (2.2.51-3) unstable; urgency=medium

  * libacl1: Don't pass "-Zbzip2 -z9" to dpkg-deb
    Closes: 633782
  * Don't ship .la files

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 17 Jul 2011 12:58:36 +1000

acl (2.2.51-2) unstable; urgency=low

  * Set standards-version to 3.9.2
  * Build-depend and depend on libattr1-dev >= 2.4.46
  * Append 'libacl 1 libacl1 (>= 2.2.51-2)' to
    debian/libacl1/DEBIAN/shlibs
  * Pass "-Zbzip2 -z9" to dpkg-deb
  * Don't ship .la files
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 05 Jul 2011 13:23:28 +1000

acl (2.2.51-1) unstable; urgency=low

  * New upstream (Closes: #626623).
  - All patches were applied upstream, except moving binaries to /bin
  * Add multiarch support (Closes: #528140).

 -- Luk Claes <luk@debian.org>  Thu, 23 Jun 2011 23:18:55 +0200

acl (2.2.49-5) unstable; urgency=medium

  * Add myself as comaintainer
  * Use bash in build process (Closes: #621929)
  * Pass host & build to allow cross builds to succeed (Closes: #284167)
  * Remove references to other libraries from dependency_libs field
    (Closes: #622409)

 -- Luk Claes <luk@debian.org>  Sat, 28 May 2011 09:10:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: autoconf, automake, debhelper (>= 8.1.2ubuntu2), gettext, libtool, libattr1-dev (>= 2.4.4)
-Standards-Version: 3.8.4
+XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Uploaders: Nathan Scott <nathans@debian.org>, Luk Claes <luk@debian.org>
+Build-Depends: autoconf, automake, debhelper (>= 8.1.3), gettext:any, libtool, libattr1-dev (>= 1:2.4.46)
+Standards-Version: 3.9.2
 Homepage: http://savannah.nongnu.org/projects/acl/
 Vcs-Git: git://git.savannah.nongnu.org/acl.git
 Vcs-Browser: http://git.savannah.gnu.org/cgit/acl.git
@@ -21,7 +21,7 @@
 Package: libacl1-dev
 Section: libdevel
 Priority: extra
-Depends: ${misc:Depends}, libc6-dev | libc-dev, libacl1 (= ${binary:Version}), libattr1-dev (>= 2.4.4)
+Depends: ${misc:Depends}, libc6-dev | libc-dev, libacl1 (= ${binary:Version}), libattr1-dev (>= 1:2.4.46)
 Provides: acl-dev
 Replaces: acl-dev
 Conflicts: acl-dev, acl (<< 2.0.0), kerberos4kth-dev (<< 1.2.2-4)

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 stdenv = @GZIP=-q; export GZIP;
 
 options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
-	  INSTALL_USER=root INSTALL_GROUP=root ;
+	  INSTALL_USER=root INSTALL_GROUP=root CONFIG_SHELL=/bin/bash;
 checkdir = test -f debian/rules
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -30,6 +30,8 @@
   LOCAL_CONFIGURE_OPTIONS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
+build-arch: build
+build-indep: build
 build: built
 built: config
 	@echo "== dpkg-buildpackage: build" 1>&2
@@ -62,8 +64,8 @@
 	$(pkgdev) $(MAKE) -C . install-dev
 	$(pkglib) $(MAKE) -C . install-lib
 	$(pkgme)  $(MAKE) -C build src-manifest
-	sed -i -e"s,^libdir='/lib',libdir='/usr/lib',; \
-		/dependency_libs/ s/'.*'/''/" $(dirdev)/usr/lib/libacl.la
+	rm -f $(dirdev)/usr/lib/libacl.la
+	rm -f $(dirdev)/lib/$(DEB_HOST_MULTIARCH)/libacl.la
 	rmdir debian/libacl1-dev/usr/share/doc/acl
 	rmdir debian/libacl1/usr/share/doc/acl
 	cp -p doc/CHANGES changelog
@@ -73,12 +75,14 @@
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -N $(library)
-	dh_makeshlibs -p $(library) -V 'libacl1 (>= 2.2.11-1)'
+	dh_makeshlibs -p $(library) -V 'libacl1 (>= 2.2.51-5)'
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -p$(package) -- -Zbzip2 -z9
+	dh_builddeb -p$(develop) -- -Zbzip2 -z9
+	dh_builddeb -p$(library)
 
 binary: binary-indep binary-arch

## acl 2.2.52

=== chacl/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = chacl
CFILES = chacl.c

LLDLIBS = $(LIBACL) $(LIBATTR)
LTDEPENDENCIES = $(LIBACL)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== debian/changelog ===
acl (2.2.52-5) unstable; urgency=medium

  * Fix upstream test suite:
    - Fix perl warning due to deprecated regex construct.
    - Fix expected test results, and ls command output.
  * Hook the upstream test suite into both the package build and autopkgtest.
    For now ignore failures, and mark it as superficial.
  * Fix several more typos in the man pages.
  * Add descriptions to patches.
  * Add Build-Depends-Package to the symbols file.

 -- Guillem Jover <guillem@debian.org>  Sat, 16 Feb 2019 03:52:33 +0100

acl (2.2.52-4) unstable; urgency=medium

  * Salvage package, with ok from co-maintainer.
    Thanks for all their past work on this package. Closes: #921974
    - The updated Vcs fields point to the Debian packaging. Closes: #909308
  * Remove debian/Makefile and stop removing doc dirs from debian/rules.
    - Add patch to avoid upstream Makefile entering the debian/ directory.
  * Update upstream URL (https) in debian/watch file.
  * Update debian/watch to format version 4.
  * Line-wrap and add a trailing comma to dependency field values.
  * Update Homepage field URL to use https.
  * Update debian/copyright:
    - Remove original packaging information, present in the changelog.
    - Switch to machine parseable format 1.0.
    - Update copyright statements.
  * Remove ancient Conflicts against acl, kerberos4kth packages.
  * Remove obsolete Priority extra.
  * Remove Priority required from shared library package.
  * Cleanup debian/rules:
    - Use $(CURDIR) instead of `pwd`.
    - Remove phase prints and comment out DH_VERBOSE, make is verbose enough.
    - Use dpkg architecture.mk fragment instead of ad-hoc variable assignment.
    - Use dh_testdir instead of open-coding it.
    - Use dh_testroot instead of open-coding it.
    - Use dh_clean instead of ad-hoc cleaning.
    - Do not create an upstream source tarball distribution.
    - Remove unused stdenv variable.
    - Use dh_installchangelogs instead of juggling doc/CHANGES around.
    - Use dh_install, dh_installdocs, dh_installman and dh_link instead of
      calling the upstream build system multiple times to install into the
      package dirs.
    - Rename LOCAL_CONFIGURE_OPTIONS to confflags.
    - Use $(MAKE) instead of hard-coding the make command.
    - Simplify *.pot file regeneration.
    - Use dh_update_autotools_config instead of open-coding it.
  * Switch to debhelper compatibility level 11.
    - Remove now autotools-dev Build-Depends, depended by debhelper.
  * Set Rules-Requires-Root to no, and stop setting INSTALL_USER and
    INSTALL_GROUP, as the build system will default to the current user.
  * Install static library into an arch-qualified path, and set
    Multi-Arch:same for libacl1-dev package. Closes: #731292
  * Switch to Standards-Version 4.3.0.
  * Add a shared library symbols file. Closes: #677570
    Thanks to Daniel Kahn Gillmor <dkg@fifthhorseman.net>.
  * Mark private symbols as (optional) in symbols file.
  * Improve a bit the package descriptions.
  * Remove ancient versioned dpkg-dev Build-Depends.
  * Reorganize binary package fields.
  * Cleanup documentation installed:
    - Stop installing irrelevant documents in the acl package. Closes: #508896
    - Install the libacl.txt and extensions.txt into the libacl1-dev package.
    - Fix typo for “setgid” in man page. Closes: #774612
    - Fix typo for “ACL_OTHER” in man page. Closes: #787841
  * Add a simple compile/link/execute autopkgtest for dynamic and static
    linking. Thanks to Simon McVittie <smcv@debian.org>.
  * Perform a proper and correct /usr-merge transition by moving the library
    package contents from / to /usr.

 -- Guillem Jover <guillem@debian.org>  Wed, 13 Feb 2019 04:10:57 +0100

acl (2.2.52-3) unstable; urgency=medium

  [ Marco d'Itri ]
  * Non-maintainer upload.
  * Create the /usr/bin/*acl compatibility symlinks in postinst to support
    merged /usr systems. (Closes: #767925)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 06 Feb 2016 22:10:44 +0000

acl (2.2.52-2) unstable; urgency=medium

  * ACK NMU.
    Closes: #759591.
  * Standards-Version: 3.9.5.
  * Refresh patches.
  * Really remove Luk Claes as uploader.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 08 Sep 2014 07:29:24 +0100

acl (2.2.52-1.1) unstable; urgency=high

  * Non-maintainer upload to fix the installer.
  * Use default compression for binary packages to fix the debian
    installer (Closes: #751633).  Patch by  Ansgar Burchardt.
  * Remove Luk Claes as uploader on his request (Closes: #748492).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Aug 2014 21:45:22 +0200

acl (2.2.52-1) unstable; urgency=low

  * New upstream release 2.2.52
  * Standards Version is 3.9.4
  * Update debian/rules
    Upstream renamed build/ to package/
  * Upstream renamed configure.in to configure.ac and didn't ship it.
    Add 01-configure.in.patch
  * Fix missing ldflags
    Add 02-687535-fix-missing-ldflags.patch
    Patch by Simon Ruderich
    Closes: #687535
  * autoconf update for arm64 building
    Closes: #689610
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 21 May 2013 09:39:24 +1000

acl (2.2.51-8) unstable; urgency=low

  * Enable hardening build flags
    Closes: #673998
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Jun 2012 18:08:12 +1000

acl (2.2.51-7) unstable; urgency=low

  * Build-depend on gettext. If it build-depends on gettext:any, the
    auto-builders stop with the message below.
    Dependency installability problem for acl on armel, armhf, hurd-i386,
    kfreebsd-amd64, kfreebsd-i386, mips, powerpc, s390, s390x and sparc:
    acl (= 2.2.51-6) build-depends on missing:
    - not-existing-build-dependency-for-any

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 11 May 2012 19:06:24 +1000

acl (2.2.51-6) unstable; urgency=low

  * Merge 2.2.51-5ubuntu1
    - Build-depend on gettext:any, since we only need it to run tools at


=== debian/control ===
Source: acl
Section: utils
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
 autoconf,
 automake,
 gettext,
 libtool,
 libattr1-dev (>= 1:2.4.46-8),
Standards-Version: 4.3.0
Homepage: https://savannah.nongnu.org/projects/acl/
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/acl.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/acl.git

Package: acl
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libacl1 (= ${binary:Version}),
Description: access control list utilities
 This package contains the getfacl and setfacl utilities needed for
 manipulating access control lists.

Package: libacl1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libc6-dev | libc-dev,
 libacl1 (= ${binary:Version}),
 libattr1-dev (>= 1:2.4.46-8),
Provides:
 acl-dev,
Replaces:
 acl-dev,
Conflicts:
 acl-dev,
Description: access control list - static libraries and headers
 This package contains the static libraries and header files needed
 for developing programs which make use of the access control list
 programming interface defined in POSIX 1003.1e draft standard 17.

Package: libacl1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: access control list - shared library
 This package contains the shared library containing the POSIX 1003.1e
 draft standard 17 functions for manipulating access control lists.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
	  CONFIG_SHELL=/bin/sh;

confflags += \
  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
  --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
  $(nil)

# Ensure cross builds succeed
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

build-arch: build
build-indep: build
build: built
built: config
	$(MAKE) default
	rm -f po/acl.pot
	$(MAKE) -C po acl.pot
	touch built

check: built
	dh_testdir
	
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C test tests || true
endif

config: .census
.census:
	dh_testdir
	dh_update_autotools_config
	$(options) $(MAKE) configure LOCAL_CONFIGURE_OPTIONS="$(confflags)"
	touch .census

clean:
	dh_testdir
	-rm -f built .census
	$(MAKE) distclean
	dh_clean

binary-indep:

binary-arch: check
	dh_testdir
	dh_testroot
	
	dh_prep
	dh_installdirs
	
	DIST_ROOT=$(CURDIR)/debian/tmp \
	  $(MAKE) install install-dev install-lib
	
	dh_install
	dh_installdocs
	dh_installchangelogs doc/CHANGES
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -N libacl1
	dh_makeshlibs -p libacl1 -V 'libacl1 (>= 2.2.51-8)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

=== debian/tests/control ===
Tests: test-build
Restrictions: superficial
Depends: build-essential, libacl1-dev

Tests: test-func
Restrictions: superficial rw-build-tree
Depends: acl

Tests: test-func-root
Restrictions: superficial rw-build-tree needs-root
Depends: acl

=== debian/watch ===
version=4
https://download.savannah.gnu.org/releases/acl/acl-(\d.*?)(?:\.src)?\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## acl 2.2.53

=== debian/changelog ===
acl (2.2.53-6) unstable; urgency=medium

  * Redirect stderr to stdout globally in autopkgtests instead of doing
    that per command.
  * Enable set -x and -u in autopkgtests.
  * Add support for cross-compilation to autopkgtests. Closes: #947048
  * Update upstream email address. Closes: #949688
  * Fix usage of uninitialized variable in getfacl. Closes: #612599
    Thanks to Vasily Gurevich <vas.gurevich@gmail.com>.
  * Switch to Standards-Version 4.5.0 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 01 Mar 2020 02:06:51 +0100

acl (2.2.53-5) unstable; urgency=medium

  * Switch to debhelper-compat (= 12) in Build-Depends from debian/compat.
  * Switch to Standards-Version 4.4.0 (no changes needed).
  * Update French translation. Closes: #931274
    Thanks to Jean-Philippe MENGUAL <jpmengual@debian.org>.
  * Fix cross-compilation for musl-based systems by bumping the minimum
    required gettext version to the one that stopped checking for internal
    GNU gettext symbols, which musl does not provide.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Sep 2019 15:23:30 +0200

acl (2.2.53-4) unstable; urgency=medium

  * Replace gettext with autopoint in autopkgtest Depends fields.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Mar 2019 23:22:21 +0100

acl (2.2.53-3) unstable; urgency=medium

  * Run «autoreconf -f -i» in autopkgtests to handle modified build system
    sources due to patching, triggering regeneration of the build system,
    and failing because the exact tool versions are not available.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Mar 2019 13:45:09 +0100

acl (2.2.53-2) unstable; urgency=medium

  * Fix build failure on GNU/kFreeBSD by defining ENODATA to ENOATTR if not
    defined.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Mar 2019 03:00:58 +0100

acl (2.2.53-1) unstable; urgency=medium

  * New upstream release. Closes: #912337
    - Add upstream signing key, and modify debian/watch file to fetch and
      check orig tarball signatures.
    - Refresh patches:
      + 00-no-debian-Makefile.patch: Remove, fixed upstream.
      + 01-configure.in.patch: Ditto.
      + 02-687535-fix-missing-ldflags.patch: Ditto.
      + 10-590240-move-binaries-to-root-bin-dir.patch: Ditto.
      + 20-testsuite.patch: Ditto.
      + 11-636512-fix-ftbfs4hurd.patch: Rework completely into
        build-no-PATH_MAX.patch.
      + 12-643588-acl-autoconf-version-check.patch: Update, rename to
        build-require-autoconf-version.patch.
      + 50-typos.patch: Rename to man-fix-typos.patch.
    - Remove private symbols marked optional, not exported anymore.
    - Update debian/rules to handle the modernized upstream build system.
    - Update autopkgtests to handle the modernized upstream build system.
    - Update debian/copyright file.
  * Include new pkg-config file.
  * Enable all hardening build flags.
  * Mark autopkgtest tests as flaky instead of superficial, they do not cope
    well with the Debian buildd environment.
  * Add minimally required build dependencies to autopkgtest Depends fields.
    Closes: #923470
  * Add a reference to mount(8) in acl(5) SEE ALSO section. Closes: #304764
  * Document --restore=- in setfacl(1). Closes: #544716
  * Document in package description that chacl is also provided.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Mar 2019 00:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Guillem Jover <guillem@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  autoconf,
  automake,
  gettext,
  libtool,
  libattr1-dev (>= 1:2.4.46-8),
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://savannah.nongnu.org/projects/acl/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/acl.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/acl.git
@@ -22,9 +22,10 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libacl1 (= ${binary:Version}),
-Description: access control list utilities
+Description: access control list - utilities
  This package contains the getfacl and setfacl utilities needed for
- manipulating access control lists.
+ manipulating access control lists. It also contains the chacl IRIX
+ compatible utility.
 
 Package: libacl1-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  confflags += --disable-silent-rules
endif

config.status: configure
	dh_testdir
	dh_update_autotools_config
	dh_autoreconf
	
	./configure \
	  CPPFLAGS="$(CPPFLAGS)" \
	  CFLAGS="$(CFLAGS)" \
	  LDFLAGS="$(LDFLAGS)" \
	  $(confflags) \
	  --prefix=/usr \
	  --bindir=/bin \
	  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

build-indep:
build-arch: config.status
	dh_testdir
	
	$(MAKE)
	
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check VERBOSE=1 || true
endif

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	
	[ ! -f Makefile ] || $(MAKE) distclean
	
	dh_autoreconf_clean
	dh_clean

binary-indep:

binary-arch: build-arch
	dh_testdir
	dh_testroot
	
	dh_prep
	dh_installdirs
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	
	dh_install
	dh_installdocs
	dh_installchangelogs doc/CHANGES
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -N libacl1
	dh_makeshlibs -p libacl1 -V 'libacl1 (>= 2.2.51-8)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build-arch build-indep build binary-arch binary-indep binary clean

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.savannah.gnu.org/releases/acl/acl-(\d.*?)(?:\.src)?\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
